From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/oauth2client/
Date: Wed, 8 Feb 2023 05:58:31 +0000 (UTC) [thread overview]
Message-ID: <1675835863.8cd0fa745bf3ae6325ee3a812e73de201e74c429.robbat2@gentoo> (raw)
commit: 8cd0fa745bf3ae6325ee3a812e73de201e74c429
Author: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 8 01:11:06 2023 +0000
Commit: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Wed Feb 8 05:57:43 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8cd0fa74
dev-python/oauth2client: updates
- Patching to support Py3.8..Py3.11
- Exclude broken upstream contrib django & flask
- Convert nose -> pytest
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
Closes: https://bugs.gentoo.org/718972
dev-python/oauth2client/Manifest | 1 +
.../oauth2client/oauth2client-4.1.3-r3.ebuild | 85 ++++++++++++++++++++++
2 files changed, 86 insertions(+)
diff --git a/dev-python/oauth2client/Manifest b/dev-python/oauth2client/Manifest
index 4ad1dc297cab..d913489a234e 100644
--- a/dev-python/oauth2client/Manifest
+++ b/dev-python/oauth2client/Manifest
@@ -1 +1,2 @@
+DIST oauth2client-4.1.3-fixes-20230207.patch 21827 BLAKE2B c04886be0efad92fff75f0d78c5597bbc386939001f1fc5d094f96899bcc25bbd80c4e620cdf401a45c7ed48a8c83515adc98a190cecbbd345f55b78ca4a0257 SHA512 4d648aff20e56628c6fa916627851d7bb50f927c1cb1a056e115130e0aec128e7e2a5571b4a35a167bbcf01762669c22008cffd5530e0006846250d32b3f8093
DIST oauth2client-4.1.3.tar.gz 185589 BLAKE2B 6cd61448e0d55cef7f2ba640c8cbb50ac83e76d0993391eb0acb3e156f937fcdee80576c9d45d505235a9f266495069664ccbfafd649a4e2d7a0990517ee8cb6 SHA512 80f49e09a6dd6767307a2c278544926fbf20b4f55e4cf83563ac7a7c1043622bd3c8c7fcf6de62896b623ca8c7947b309a5e6bf2b7cb0fccff3ff7634386b287
diff --git a/dev-python/oauth2client/oauth2client-4.1.3-r3.ebuild b/dev-python/oauth2client/oauth2client-4.1.3-r3.ebuild
new file mode 100644
index 000000000000..fd404d1b6b8e
--- /dev/null
+++ b/dev-python/oauth2client/oauth2client-4.1.3-r3.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Library for accessing resources protected by OAuth 2.0"
+HOMEPAGE="https://github.com/googleapis/oauth2client"
+SRC_URI="
+ https://github.com/googleapis/oauth2client/archive/v${PV/_p/-post}.tar.gz -> ${P}.tar.gz
+ https://dev.gentoo.org/~robbat2/distfiles/oauth2client-4.1.3-fixes-20230207.patch
+ "
+S="${WORKDIR}"/${P/_p/-post}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+# This package supports 3 different crypto options, but tests ALL of them
+CRYPTO_A=">=dev-python/pycryptodome-2.6[${PYTHON_USEDEP}]"
+CRYPTO_B="dev-python/pyopenssl[${PYTHON_USEDEP}]"
+CRYPTO_C="(
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.0.5[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+ )"
+
+RDEPEND="
+ >=dev-python/httplib2-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/six-1.6.1[${PYTHON_USEDEP}]
+ || ( ${CRYPTO_A} ${CRYPTO_B} ${CRYPTO_C} )
+ dev-python/keyring[${PYTHON_USEDEP}]
+ !<=dev-python/google-api-python-client-1.1[${PYTHON_USEDEP}]
+"
+
+# Not well-tested upstream, and broken:
+# django dev-python/django[${PYTHON_USEDEP}]
+# flask dev-python/flask[${PYTHON_USEDEP}]
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/sqlalchemy[${PYTHON_USEDEP}]
+ dev-python/fasteners[${PYTHON_USEDEP}]
+ ${CRYPTO_A}
+ ${CRYPTO_B}
+ ${CRYPTO_C}
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${DISTDIR}/oauth2client-4.1.3-fixes-20230207.patch"
+)
+
+src_prepare() {
+ default
+ # These contrib modules are broken upstream:
+ REMOVE=(
+ # django
+ "${S}"/oauth2client/contrib/django_util/
+ "${S}"/samples/django/
+ "${S}"/tests/contrib/django_util/
+ "${S}"/docs/source/oauth2client.contrib.django*
+ # flask
+ "${S}"/docs/source/oauth2client.contrib.flask_util.rst
+ "${S}"/oauth2client/contrib/flask_util.py
+ "${S}"/tests/contrib/test_flask_util.py
+ )
+ rm -rf "${REMOVE[@]}"
+}
+
+python_test() {
+ TEST_ARGS=(
+ # appengine - requires appengine
+ # django_util - requires django, contrib module broken upstream
+ # flash - requires flask, contrib module broken upstream
+ --ignore-glob='*appengine*'
+ )
+ epytest "${TEST_ARGS[@]}" || die "tests fail with ${EPYTHON}"
+}
next reply other threads:[~2023-02-08 5:58 UTC|newest]
Thread overview: 37+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-02-08 5:58 Robin H. Johnson [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-03-31 19:18 [gentoo-commits] repo/gentoo:master commit in: dev-python/oauth2client/ Michał Górny
2022-03-31 17:36 Jakov Smolić
2022-02-24 8:52 Michał Górny
2022-02-24 8:52 Michał Górny
2020-07-15 11:45 Michał Górny
2020-07-15 11:45 Michał Górny
2020-07-09 10:08 Michał Górny
2020-07-09 10:08 Michał Górny
2020-07-09 10:08 Michał Górny
2020-06-15 2:35 Aaron Bauman
2020-03-28 11:21 Michał Górny
2020-02-05 15:48 Michał Górny
2019-05-11 19:25 Matthew Thode
2019-04-10 22:44 Matthew Thode
2018-01-05 13:26 Michał Górny
2017-09-30 0:31 Matt Thode
2017-08-15 23:36 Robin H. Johnson
2017-06-19 18:12 Alexis Ballier
2017-05-04 1:21 Zac Medico
2017-03-17 19:59 Zac Medico
2017-02-20 18:15 Markus Meier
2016-11-26 22:14 Patrice Clement
2016-06-15 3:57 Mike Frysinger
2016-04-21 5:19 Mike Frysinger
2016-03-28 19:11 Mike Frysinger
2016-02-23 9:05 Justin Lecher
2016-02-22 14:09 Justin Lecher
2016-02-17 13:01 Justin Lecher
2016-02-17 10:34 Justin Lecher
2016-02-17 8:57 Justin Lecher
2016-02-16 20:42 Mike Frysinger
2016-01-20 15:25 Andreas Schuerch
2016-01-14 11:56 Agostino Sarubbo
2015-11-24 12:10 Justin Lecher
2015-09-21 17:38 Mike Frysinger
2015-08-30 6:18 Mike Frysinger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1675835863.8cd0fa745bf3ae6325ee3a812e73de201e74c429.robbat2@gentoo \
--to=robbat2@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox